import 'dart:async';

import 'package:pshared/models/account/account.dart';
import 'package:pshared/provider/account.dart';

import 'package:pweb/services/posthog.dart';


class PwebAccountProvider extends AccountProvider {
  @override
  Future<void> onAccountChanged(Account? previous, Account? current) {
    if (current != null) {
      return PosthogService.identify(current);
    }
    return PosthogService.reset();
  }
}
